SCONSIGN
1
SCons __VERSION__
SCons __VERSION__

# sconsign

print SCons signature file information

      sconsign
        options
        file

## DESCRIPTION

Displays the contents of one or more sconsign files, the signature database files used by the SCons build tool.

By default, `sconsign` dumps the entire contents of the sconsign file(s). Without options, individual dependency entries are printed in the following format:

    depfile: signature timestamp length
            implicit_dependency_1: content_signature timestamp length
            implicit_dependency_2: content_signature timestamp length
            ...
            action_signature [action string]

None is printed in place of any missing timestamp, content signature (csig) or build action signature values for any entry or any of its dependencies. If the entry has no implicit dependencies, or no build action, those lines are omitted.

By default, `sconsign` assumes that any file arguments that end with a `.dblite` suffix contains signature entries for more than one directory (that is, was specified by the `SConsignFile` function). Any file argument that has no suffix is assumed to be an old-style sconsign file containing the signature entries for a single directory. If neither of those is true, `sconsign` attempts to guess the format. If that does not work, an explicit format may be specified using the `-f` or `--format=` options.

If there are no file arguments, the name `.sconsign.dblite` is assumed by default.

## OPTIONS

Various options control what information is printed and the format:

`-a`, `--act`, `--action`

  Prints only the build action information for all entries or the specified entries.

`-c`, `--csig`

  Prints only the content signature (csig) information for all entries or the specified entries.

`-d DIRECTORY`, `--dir=DIRECTORY`

  When the signatures are being read from a `.dblite` file, or the `-f dblite` or `--format=dblite` options are used, prints information about only the signatures for entries in the specified DIRECTORY.

`-e ENTRY`, `--entry=ENTRY`

  Prints information about only the specified ENTRY. Multiple `-e` options may be used, in which case information about each ENTRY is printed in the order in which the options are specified on the command line.

`-f FORMAT`, `--format=FORMAT`

  The file(s) to be printed are in the specified FORMAT. Legal values are dblite (the SCons.dblite format used by default, as well as when the `SConsignFile` function is called, except when a filename argument of `None` is given) and sconsign (the format used for an individual `.sconsign` file in each directory).

`-h`, `--help`

  Prints a help message and exits.

`-i`, `--implicit`

  Prints the list of cached implicit dependencies for all entries or for the specified entries.

`--raw`

  Prints a pretty-printed representation of the raw Python dictionary that holds build information about individual entries (both the entry itself and its implicit dependencies). An entry's build action is still printed in its usual format.

`-r`, `--readable`

  Prints timestamps in a human-readable string, enclosed in single quotes.

`-t`, `--timestamp`

  Prints the timestamp information for all entries or the specified entries.

`-v`, `--verbose`

  Prints labels identifying each field being printed.

## ENVIRONMENT

`SCONS_LIB_DIR`

  Specifies the directory that contains the SCons Python module directory (e.g. `/home/aroach/scons-src/SCons`).

## SEE ALSO

`scons`, the SCons User Guide at , the SCons source code on GitHub.

## AUTHORS

Originally: Steven Knight knight@baldmt.com and Anthony Roach aroach@electriceyeball.com.

Since 2010: The SCons Development Team scons-dev@scons.org.